#include "addressbookdata.h"

AddressbookData::AddressbookData(QObject * parent)
    :QObject(parent)
{
}

    QString AddressbookData::title() const
    {
        return m_title;
    }

    void AddressbookData::setTitle(const QString &title)
    {
        m_title = title;
    }
    QString AddressbookData::firstName() const
    {
        return m_firstName;
    }

    void AddressbookData::setFirstName(const QString &firstName)
    {
        m_firstName = firstName;
    }
    QString AddressbookData::lastName() const
    {
        return m_lastName;
    }

    void AddressbookData::setLastName(const QString &lastName)
    {
        m_lastName = lastName;
    }
    QDate AddressbookData::birthDate() const
    {
        return m_birthDate;
    }

    void AddressbookData::setBirthDate(const QDate &birthDate)
    {
        m_birthDate = birthDate;
    }
    QString AddressbookData::idCardNumber() const
    {
        return m_idCardNumber;
    }

    void AddressbookData::setIdCardNumber(const QString &idCardNumber)
    {
        m_idCardNumber = idCardNumber;
    }
    bool AddressbookData::ztp() const
    {
        return m_ztp;
    }

    void AddressbookData::setZtp(bool ztp)
    {
        m_ztp = ztp;
    }
    QString AddressbookData::addressCity() const
    {
        return m_addressCity;
    }

    void AddressbookData::setAddressCity(const QString &addressCity)
    {
        m_addressCity = addressCity;
    }
    QString AddressbookData::addressStreet() const
    {
        return m_addressStreet;
    }

    void AddressbookData::setAddressStreet(const QString &addressStreet)
    {
        m_addressStreet = addressStreet;
    }
    QString AddressbookData::addressHouseNumber() const
    {
        return m_addressHouseNumber;
    }

    void AddressbookData::setAddressHouseNumber(const QString &addressHouseNumber)
    {
        m_addressHouseNumber = addressHouseNumber;
    }
    QString AddressbookData::addressZipCode() const
    {
        return m_addressZipCode;
    }

    void AddressbookData::setAddressZipCode(const QString &addressZipCode)
    {
        m_addressZipCode = addressZipCode;
    }
    int AddressbookData::id() const
    {
        return m_id;
    }

    void AddressbookData::setId(int id)
    {
        m_id = id;
    }


